package com.engine.salary.enums.sicategory;

import com.engine.salary.enums.BaseEnum;

/**
 * @Description:
 * @Author: zhangheng
 * @CreateDate: 2021/11/16 13:11
 * @Version: v1.0
 */
public enum PaymentTypeEnum implements BaseEnum<Integer> {
    SCHEME_TOWN(1, "城镇", 87410),
    SCHEME_VILLAGE(2, "农村", 87411);

    private Integer value;

    private String defaultLabel;

    private Integer labelId;

    PaymentTypeEnum(Integer value, String defaultLabel, Integer labelId) {
        this.value = value;
        this.defaultLabel = defaultLabel;
        this.labelId = labelId;
    }

    public Integer getValue() {
        return this.value;
    }

    public Integer getLabelId() {
        return this.labelId;
    }

    public String getDefaultLabel() {
        return this.defaultLabel;
    }
}
